<?php 


 session_start();
 if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}

 date_default_timezone_set('America/Lima');
 require_once ("../../config/Cado.php");
 require_once ("../cambioclave/cCambioclave.php");
 $oCambioclave = new cCambioclave();

 require_once("../formatos/formato.php");

if($_POST['action']=='actualizar'){
		
	if($_POST['clave_nue']!=''){
			
		$dts=$oCambioclave->mostrarUsuario($_SESSION['usuario_id'],$_POST['clave_act']);
		$numrows = mysqli_num_rows($dts);
		
	if($numrows>0){
		
		if($_POST['clave_nue']!=""){
		$oCambioclave->modificar_restabclave($_SESSION['usuario_id'],$_POST['clave_nue']);
		}
		
		if($_POST['usu_nue']!=""){
			$oCambioclave->modificar_usuario($_SESSION['usuario_id'],$_POST['usu_nue']);
		}
		
		
		$data['est']='1';
		$data['msj']='Datos modificados correctamente.';
		
	}else{
		$data['est']='0';
		$data['msj']='Ingrese su clave actual correcta.';
	}
	
		
		echo json_encode($data);
	}else{
		$data['est']='0';
		$data['msj']='Intentelo Nuevamente.';
		echo json_encode($data);
	}
	
}


?>